GET /api/v3/chargebackTask

Get all chargeback tasks with details

GetChargebackTasksV3 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter Filters to apply string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
billingPeriod Billing Period DatePeriod equals not equals less than between greater than less than equal greater than equal current month prior month prior year prior fiscal year prior 12 months* prior 12 months** year-to-date* year-to-date** fiscal year-to-date* fiscal year-to-date**
calculateBillTypeID Calculate Bill Task Type ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
calculateBillWorkflowStepID Calculate Bill Workflow Step Integer equals
status Calculate Bill Task Status String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ChargebackTaskResponse
Property Description Type
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
billingPeriod The billing period the task was run for integer (int32)
chargebackType The chargeback type. Either “Split” or “Calculation” string
comment User comments on the task string
numberOfAnalyzingBills The number of bills that are currently analyzing within the task integer (int32)
numberOfBillsCreated The number of bills created by the task integer (int32)
numberOfFailedVersions The number of chargeback versions that failed to run within the task integer (int32)
numberOfUnresolvedFlags The number of unresolved flags on bills within the task integer (int32)
reversedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
reversedDate The date when all bills generated by the task were voided or deleted string (date-time)
settings The task’s settings object
status Current status of the task string
taskBegin Begin date when the task started string (date-time)
taskEnd End date when the task ended string (date-time)
taskId Identifier for the task integer (int32)
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
workflow ChargebackWorkflowStepChild
ChargebackWorkflowStepChild properties
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
Example Response application/json
[
  {    "batch": {      "batchCode": "string",      "batchId": 1
    },    "billingPeriod": 1,    "chargebackType": "string",    "comment": "string",    "numberOfAnalyzingBills": 1,    "numberOfBillsCreated": 1,    "numberOfFailedVersions": 1,    "numberOfUnresolvedFlags": 1,    "reversedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "reversedDate": "2026-03-30",    "settings": {},    "status": "string",    "taskBegin": "2026-03-30",    "taskEnd": "2026-03-30",    "taskId": 1,    "user": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "workflow": {      "chargebackWorkflow": {},      "chargebackWorkflowStepDescription": "string",      "chargebackWorkflowStepId": 1,      "chargebackWorkflowStepInfo": "string",      "chargebackWorkflowStepOrder": 1,      "chargebackWorkflowStepType": "string"
    }
  }
]